Claws Mail - a GTK+ based, lightweight, and fast e-mail client

---------------------------------------------------------------------

   Copyright(C) 1999-2013 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> and the
   Claws Mail Team

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
   MA 02110-1301, USA.

   For more details see the file COPYING.

---------------------------------------------------------------------

Summary:

 1. What is Claws Mail?
 2. Plugins
 3. Actions
 4. Icon Themes
 5. Quick Search
 6. Custom toolbar
 7. Partial downloading of POP3 mails
 8. Hidden Options
 9. Tools
10. How to contribute
11. How to request features
12. Installing Claws from Git
13. Release History
14. Useful Links


1. What is Claws Mail?
--------------------------

Claws Mail (previously known as Sylpheed-Claws) is a lightweight and
highly configurable email client and news reader based on the GTK+
GUI toolkit, it runs on the X Window System.

Claws Mail is free software distributed under the GNU GPL.

To run Claws Mail use 'claws-mail' on the command line.

When claws-mail is executed for the first time a configuration
'Wizard' will appear prompting you for the minimum information
necessary to create a new account.


2. Plugins
----------

Claws Mail' capabilities are extended by plugins. It comes with
the following plugins included, all of which are built automatically
if the required libraries are present.

Plugins are installed in $PREFIX/lib/claws-mail/plugins/
and have a suffix of '.so'
To load a plugin go to '/Configuration/Plugins' and click
the 'Load Plugin' button.
Select the plugin that you want and click 'OK'

All plugin preferences can be found under
'/Configuration/Preferences/Plugins/'.

  o ACPI Notifier
    Notifies of new mail via the mail LED available on some laptops. The 
    LED can be set to blinking or on states when new mail is received. 
    Appropriate kernel modules have to be loaded first for this plugin to 
    work. Laptops supported are from ACER (acerhk and acer_acpi modules), 
    ASUS (asus_laptop and asus_acpi), IBM (ibm_acpi), Lenovo (tm_smapi) 
    and Fujitsu (apanel) manufacturers.

  o Address Keeper
    Saves mail addresses typed in the 'To', 'Cc' or 'Bcc' fields of 
    outgoing messages to a designated folder in the address book. 
    Addresses are saved only if not already present in the address book.

  o Archiver
    Archives mail folders using libarchive library. Folders can be archived 
    with or without compression (ZIP, GZIP or BZIP2) and also in several 
    formats (TAR, SHAR, PAX or CPIO).
    Libarchive is available from http://www.libarchive.org/.

  o Attachment Remover
    Selectively removes attachments from messages. Messages are permanently 
    modified by using this feature, so be careful!

  o Attachment Warning
    Warns the user of possibly forgotten attachments when some keywords 
    are found in the outgoing messages. False positives (being warned when 
    no attachment is realy needed) exist, but some configuration options 
    can help to reduce their probability.

  o Bogofilter
    Enables the scanning of incoming mail received from a POP,
    IMAP, or LOCAL account using Bogofilter. It can optionally
    delete mail identified as spam or save it to a designated folder.
    Bogofilter is a pure Bayesian filter, therefore it has better
    speed performance than SpamAssassin but might catch less spam.
    Bogofilter is available from http://bogofilter.sourceforge.net/.
 
  o BSFilter
    Checks all messages received from IMAP, POP or local accounts using 
    BSFilter, a bayesian spam filter program, which has to be installed 
    locally. Messages identified as spam can be deleted or saved to a 
    designated folder. 
    Bsfilter is available from http://sourceforge.jp/projects/bsfilter/.

  o Clamd
    Uses the Clam AntiVirus in daemon mode to scan received messages from 
    IMAP, POP or local accounts. Scanning is done through a socket to the 
    daemon, so it has to be previously configured to allow this. 
    Clam AntiVirus is available from http://www.clamav.net/.

  o Fetchinfo
    Modifies downloaded messages and inserts special headers containing 
    some download information: UIDL, Claws Mail account name, POP server, 
    user ID and retrieval time. These headers can be used later for more 
    elaborate filtering or processing rules.

  o Fancy
    Renders HTML mails and HTML parts of multipart messages using the GTK+ 
    port of the WebKit library. External content is blocked by default 
    (including images) to avoid remote tracking, but can be enabled either 
    globally or just on the displayed message.
    GTK+ WebKit is available from http://trac.webkit.org/wiki/WebKitGTK/.

  o GData
    Includes your Gmail account contacts in the list generated for 
    Tab-address completion on compose window, using the GData library.
    Gdata library is available from https://live.gnome.org/libgdata/.

  o MailMbox
    Handles mailboxes in Mbox format using the libEtPan! library. Mbox 
    files can be added to the folder tree and used like regular mailboxes.
    LibEtPan! is available from http://www.etpan.org/.

  o Newmail
    Writes a header summary to a log file for each mail received after 
    sorting. The file for the summary is ~/Mail/NewLog.

  o Notification
    Provides various ways of notifying the user of new and unread email. 
    Current methods include: a banner, a popup window, a user command, 
    a message to a LCD daemon, a system tray icon and an indicator icon.
    Sound notifications are also possible through libcanberra. Each method 
    can be customized in detail through the plugin preferences.
    Indicator library is available from https://launchpad.net/libindicator/
    and libcanberra from http://0pointer.de/lennart/projects/libcanberra/.

  o Perl
    Extends the filtering possibilities of Claws Mail. Provides a Perl 5 
    interface to Claws Mail's filtering mechanism, allowing the use of full 
    Perl power in email filters. A conversion script is provided to 
    translate user rules into perl rules suitable for this plugin. 
    Perl is available from http://www.perl.org/.

  o PDF Viewer
    Displays Portable Document Format (PDF) and PostScript attachments 
    within the message view using Poppler. PostScript attachments are 
    converted to PDF on the fly by the 'gs' tool, which has to be installed 
    first. The 'gs' tool is available from http://pages.cs.wisc.edu/~ghost/.
    The Poppler library is available from http://poppler.freedesktop.org/.
	
  o PGP/Core
    Handles core PGP functions and is required by the PGP/Inline
    and PGP/MIME plugins.
    Uses GnuPG/GPGME, ftp://ftp.gnupg.org/gcrypt/gpgme/.

  o PGP/inline
    Handles inline PGP signed and/or encrypted mails. You can
    decrypt mails, verify signatures or sign and encrypt your
    own mails. Uses GnuPG/GPGME, ftp://ftp.gnupg.org/gcrypt/gpgme/.

  o PGP/MIME
    Handles PGP/MIME signed and/or encrypted mails. You can
    decrypt mails, verify signatures or sign and encrypt your
    own mails. Uses GnuPG/GPGME, ftp://ftp.gnupg.org/gcrypt/gpgme/.

  o Python
    Provides Python scripting access to Claws Mail functions. A testing 
    console is also featured. Scripts can be saved to specific folders 
    for automatic loading on startup or being available as new menu items 
    under the '/Tools/Python scripts' menu. 
    Python is available from http://python.org/.

  o RSSyl
    Creates mailboxes where newsfeeds in RSS 1.0, RSS 2.0 or Atom format 
    can be added. Each newsfeed will create a folder with the appropriate 
    entries, fetched from the web. You can read them, and delete or keep 
    old entries.

  o S/MIME
    Handles S/MIME signed and/or encrypted mails. You can decrypt mails, 
    verify signatures or sign and encrypt your own mails.

  o SpamAssassin
    Scans incoming mail received from a POP, IMAP or LOCAL account using 
    SpamAssassin. It can optionally delete mail identified as spam or save 
    it to a designated folder. 
    SpamAssassin is available from http://spamassassin.apache.org/.

  o Spam Report
    Reports spam messages to online spam harvesting sites. Sites suported 
    are http://www.signal-spam.fr/ and http://www.spamcop.net/. The Debian 
    mailing list spam nomination system is also supported.

  o TNEF Parser
    Decodes attachments with 'application/ms-tnef' MIME type (also known 
    as "winmail.dat" files) in Claws Mail, using the ytnef library. 
    Decoded parts can be saved to files.
    The ytnef library is available from http://ytnef.sourceforge.net/.

  o VCalendar
    Displays vCalendar messages. Only the meeting subset of the vCalendar 
    format is currently supported, which includes planning, sendding and 
    receiving invitations and answering them. Public calendar (WebCal) 
    subscriptions, free/busy information export/import and reminding of 
    events is also supported.
    

Additonal plugins can be found here:
http://www.claws-mail.org/plugins.php


3. Actions
----------
  The "actions" feature is a convenient way for the user to launch external 
  commands to process a complete message file including headers and body or 
  just one of its parts. It allows also the use of an external command to 
  filter the whole text or just a selected part in the message window or in 
  the compose window. This is a generic tool that allows to do any uncommon 
  actions on the messages, and thus extends the possibilities of Claws Mail. 
  For example, Claws Mail does not include the rot13 cyphering algorithm 
  popular in some newsgroups. It does not support uuencoded messages. As 
  all these features can be handled by external programs, the actions 
  provide a convenient way to use them from the menu bar.

  a. Usage
  --------

  To create a new action, go to Configuration -> Actions.... The "Action
  Creation" dialog offers to enter the Menu name that will trigger the 
  command. The created menu will be found in the Tools -> Actions submenu. 
  By inserting a slash / in the menu name, you create a submenu.

  The command is entered in the Command line entry. Note that Claws Mail
  stores every single email in a separate file. This allows to use the 
  following syntax for the command:

    * %f denotes the file name of the selected message. If you selected more
	 than one, then the command will be launched for each message with 
	 the appropriate file name
    * %F denotes the list of the file names of the selected message. If only
	 one message is selected, this amounts to %f, but if more messages 
	 are selected, then the command will be launched only once with the 
	 list of the file names. (You can use both %f and %F in one command: 
	 then the command will be launched for each selected message with 
	 the name of this message and with the list of all selected 
	 messages. I did not find a practical example for this.)
    * %p denotes the current selected message part of a multipart message. 
	 The part is decoded accordingly. If the message is not a multipart 
	 message, it denotes the message body.
    * Prepending >: this will allow you to send to the command's standard 
	 input a text that you will enter in a dialog window.
    * Prepending *: this will allow you to send to the command's standard 
	 input a text that you will enter in a dialog window. But in 
	 contrast to prepending >, the entered text is hidden (useful when 
	 entering passwords).
    * Appending an ampersand &: this will run the command asynchronously. 
	 That means "fire and forget". Claws Mail won't wait for the
	 command to finish, nor will it catch its output or its error
	 messages.
    * Prepending the vertical bar | (pipe-in): this will send the current 
	 displayed text or the current selected text from the message view 
	 or the compose window to the command standard input. The command 
	 will silently fail if more than one message is selected.
    * Appending the vertical bar | (pipe-out): this will replace the current 
	 displayed text or the current selected text from the message window
	 or the compose window by the command standard output. The command
	 will silently fail if more than one message is selected.

  Note: It is not possible to use actions containing %f, %F or %p from the
  compose window. 

  When a command is run, and unless it is run asynchronously, Claws Mail
  will be insensitive to any interaction and it will wait for the command to 
  finish. If the command takes too long (5 seconds), it will popup a dialog 
  window allowing to stop it. This dialog will also be displayed as soon as
  the command has some output: error messages or even its standard output 
  when the command is not a "pipe-out" command. When multiple commands are 
  being run, they are run in parallel and each command output is separated 
  from the outputs of the others.

  a. Examples
  -----------

  Here are some examples that are listed in the same syntax as used for 
  storing the actions list. You can copy and past the definition in your 
  ~/.claws-mail/actionsrc file (exit Claws Mail before). The syntax
  is very simple: one line per action, each action contains the menu name
  and the command line separated by a colon and a space ": "

  Purpose:	rot13 cyphering
  Definition:	Rot13: |tr a-zA-Z n-za-mN-ZA-M|
  Details:	This will apply the rot13 cyphering algorithm to the 
		(selected) text in the message/compose view.

  Purpose:	Decoding uuencoded messages
  Definition:	UUdeview: xdeview %F&
  Details:	xdeview comes with uudeview. If an encoded file is split in 
		multiple messages, just select them all and run the command.

  Purpose:	Display uuencoded image
  Definition:	Display uuencoded: uudec %f&
  Details:	Displays uuencoded files. The uudec[1] script can be found in 
		the 'tools' directory of the distribution package.
 
  Purpose:	Alter messages
  Definition:	Edit message: gvim -f %F
  Details:	Allows editing of any received message. Can be used to remove 
		unneeded message parts, etc.

  Purpose:	Pretty format
  Definition:	Par: |par 72Tbgjqw74bEe B=._A_a 72bg|
  Details:	par is a utility that can pretty format any text. It does a 
		very good job in indenting quoted messages, and justifying 
		text. Used when composing a message

  Purpose:	Browse
  Definition:	Part/Dillo: dillo %p&
  Details:	Browse the selected message part in Dillo.


  [1] The uudec script can be found in the 'tools' directory of the 
  distribution package. It needs uudecode and ImageMagick's display. The 
  latter can be replaced by any image viewer that can get input from 
  standard input. The script could also be modified to use temporary files 
  instead of standard input. 


4. Icon Themes
--------------
  Claws has support for different icon sets. Several icon sets can be
  downloaded from http://www.claws-mail.org/themes.php
  You will need to create a directory called 'themes' in your config
  directory, unpack them into this directory, and then use the interface
  to select them, /Configuration/Preferences/Display/Themes

  This interface can also be used to install new themes.
  

5. Quick Search with extended search
------------------------------------
    Quick Search, with its powerful Extended search function,
    enables searching through folder's messages.

    Extended Search allows one to define criteria that messages must
    have in order to match and be displayed in the summary view pane.
    Search types titled From, Subject and To are self explanatory.
    Search type extended allows one to use Claws Mail's powerful
    filtering engine to select messages. Examples:
    from regexpcase "foo"
    subject regexp "Bug" & to regexp "claws-mail"

    Additionally, it is possible to use simpler yet equally
    powerfull patterns for message selections. Mutt users will
    immediately recognise most of the available patterns:

    Pattern  Parameter  Selects
    ----------------------------------------------------
    a                   all messages
    ag       #          messages whose age is greater than #
    al       #          messages whose age is lower than #
    b        S          messages which contain S in the message body
    B        S          messages which contain S in the whole message
    c        S          messages carbon-copied to S
    C        S          message is either to: or cc: to S
    D                   deleted messages
    e        S          messages which contain S in the Sender field
    E        S          true if execute "S" succeeds
    f        S          messages originating from user S
    F                   forwarded messages
    h        S          messages which contain header S
    i        S          messages which contain S in Message-Id header
    I        S          messages which contain S in inreplyto header
    k	     #		messages which are marked with color #
    L                   locked messages
    n        S          messages which are in newsgroup S
    N                   new messages
    O                   old messages
    r                   messages which have been replied to
    R                   read messages
    s        S          messages which contain S in subject
    se       #          messages whose score is equal to #
    sg       #          messages whose score is greater than #
    sl       #          messages whose score is lower than #
    Se       #          messages whose size is equal to #
    Sg       #          messages whose size is greater than #
    Ss       #          messages whose size is smaller than #
    t        S          messages which have been sent to S
    tg       S		messages with tags containing S
    tagged		messages which are tagged
    T                   marked messages
    U                   unread messages
    x        S          messages which contain S in References header
    x        "cmd args" messages returning 0 when passed to command
			- %F is message file
    y        S          messages which contain S in X-Label header

    &	     logical AND operator
    |        logical OR operator
    ! or ~   logical NOT operator
    %        case sensitive search

    all filtering expressions are allowed

    # means number
    S means regexp string

    It is possible to use logical operators AND (&), OR (|) and
    NOT (! or ~). Case sensitive search is achieved with %.
    Examples:
    T                  marked messages
    U                  unread messages
    f "john beavis"    messages from john beavis
    %f "John Beavis"   messages from John Beavis (case sensitive)
    ~s foo             messages which do not have foo in the subject
    f foo & ~s bar     messages from foo that do not have bar in thesubject


6. Custom toolbar
-----------------

   /Configuration/Preferences/Customize Toolbars lets you define the
   toolbar you want. The configuration dialog enables you to set an icon,
   an appropriate text, and map an action to it. Actions to choose
   from are predefined. You can also have your "Claws Mail Actions"
   (refer to "Actions" above) on your toolbar.

   Example: 
	* Configuration->Actions 
		- add an entry "Dillo: dillo %p&"
        * Configuration->Custom toolbar    
		- select Claws Mail Actions Feature
	 	- select "Dillo: dillo %p&" from drop down list
		- choose an icon and click ok


    
7. Partial downloading of POP3 mails
------------------------------------
  Messages over the configured size limit, (/[Account preferences]/
  Receive/Message size limit), will be partially retrieved. These
  messages will have a Notice View displayed (above the Message View),
  informing of the partially retrieved state and the total size of the
  message. The Notice View will also contain two buttons, 'Mark for
  download' and 'Mark for deletion'. If the user clicks 'Mark for
  download', the message will be downloaded in full at the next message
  retrieval, (and the partial one deleted); if the user checks 'Mark for
  deletion' it will be removed from the server after the normal delay
  as specified in the POP3 account's 'Receive' preferences.
  If a user moves a partially retrieved message to the Trash folder 
  it will be deleted on the server at the next retrieval after the 
  Trash folder has been emptied.


8. Hidden options
-----------------

    It is recommended that you use Clawsker to edit these options,
    http://www.claws-mail.org/clawsker.php

    addressbook_use_editaddress_dialog	(default: 1)
	Use a separate dialogue to edit a person's details. '0'
	will use a form embedded in the addressbook's main window.
	0: off  1: on

    bold_unread			(default: 1)
	show unread messages using bold font in summary view
	0: off  1: on

    cache_max_mem_usage		(default: 4096)
	the maximum kB of memory Claws Mail should use. It will try
	to keep the memory usage below this value, but it will always
	use the assigned amount of memory for speed gain.

    cache_min_keep_time		(default: 15)
	the minimum time in minutes Claws Mail will keep the folder
	cache in memory. If a cache is more recent than this time it
	will not be freed even if the memory usage is above the
	maximum. You should probably set this value higher than your
	mail check interval. Otherwise the cache will always be freed
	between checks even if the folder is accessed on every check,
	which will cause much disk IO.

    compose_no_markup		(default: 0)
	prevent italic and bold text in the Compose dialog account
	selector
	0: normal (markup) 1: no markup

    diff_added_color            (default: #008b8b)
    diff_deleted_color          (default: #6a5acd)
    diff_hunk_color             (default: #a52a2a)
        Colors to use when displaying attachments in unified diff 
	format.

    emphasis_color		(default: #0000CF)
	The colour used for the X-Mailer line when its value is
	Claws Mail.

    enable_dotted_lines		(default: 0)
	Use the old dotted line look in the main window GtkTreeView
	components, (Folder List and Message List), instead of the
	modern lineless look. 
	0: off  1: on

    enable_hscrollbar		(default: 1)
	enable horizontal scroll bar in summary view
	0: off  1: on

    enable_swap_from		(default: 0)
	display sender's email address in To column in Sent folder
	instead of recipient's
	0: off  1: on

    folderview_vscrollbar_policy	 (default: 0)
	specify the policy of vertical scroll bar of folder view
	0: always  1: automatic  2: never

    hover_timeout			(default: 500)
	time in milliseconds that will cause a folder tree to expand
	during drag n drop when the mouse cover is held over it

    live_dangerously			(default: 0)
	Don't ask for confirmation before definitive deletion of
	emails.
	0: off  1: on

    log_error_color			(default: #af0000)
    log_in_color			(default: #000000)
    log_msg_color			(default: #00af00)
    log_out_color			(default: #0000ef)
    log_warn_color			(default: #af0000)
    log_status_ok_color			(default: #00af00)
    log_status_nok_color		(default: #0000af)
    log_status_skip_color		(default: #aa00aa)
	The colours used in the Network Log window.

    msgview_date_format                 (default: 0)
        Use the same user-defined date format in the Message View as
	is used in the Message List.
	0: off  1: on

    outgoing_fallback_to_ascii		(default: 1)
	The outgoing encoding of a message will use 7bit US-ASCII
	whenever it is suitable for the message content, ignoring
	the "Outgoing encoding" option unless it is necessary.
	Turning this option off forces the user-defined encoding to
	be used, regardless of message content.
	0: off  1: on

    primary_paste_unselects		(default: 0)
	Causes the primary buffer to be cleared and the insertion
	point to be repositioned when the middle mouse button is used
	for pasting text.
	0: off  1: on	

    respect_flowed_format		(default: 0)
	Respect format=flowed on text/plain message parts. This will
	cause some mails to have long lines, but will fix some URLs
	that would otherwise be wrapped.
	0: off  1: on
 
    save_parts_readwrite		(default: 0)
	Saves temporary files when opening attachment with write bit
	set.
	0: off  1: on

    show_compose_margin                 (default: 0)
        Adds margins to the message text area in the Compose window.
	0: off  1: on

    show_inline_attachments             (default: 1)
        Show inline attachments in MimeView.
	0: off  1: on

    skip_ssl_cert_check			(default: 0)
	Disables the verification of SSL certificates.
	0: off  1: on

    statusbar_update_step		(default: 10)
	Update stepping in progress bars.

    stripes_color_offset		(default: 4000)
	Specify the value to use when creating alternately coloured
	lines in GtkTreeView components. The smaller the value, the
	less visible the difference in the alternating colours of the
	lines. 

    textview_cursor_visible	 	(default: 0)
	display the cursor in the message view.
	0: off  1: on

    thread_by_subject_max_age		(default: 10)
	number of days to include a message in a thread when using
	'Thread using subject in addition to standard headers'.

    toolbar_detachable			(default: 0)
	hide handles in the toolbar.
	0: off  1: on

    two_line_vertical			(default: 1)
	Spread message list information over two lines when using the
	three column layout.
	0: off  1: on

    unsafe_ssl_certs			(default: 0)
	Allows Claws to remember multiple SSL certificates for a
	given server/port.
	0: off  1: on

    use_networkmanager			(default: 1)
	Use NetworkManager to switch offline automatically.
	0: off  1: on

    use_stripes_everywhere		(default: 1)
	Enable alternately coloured lines in GtkTreeView components.
	0: off  1: on

    use_stripes_in_summaries		(default: 1)
	Enable alternately coloured lines in the main window
	GtkTreeView components, (Folder List and Message List). The
	only useful way to use this option is to set it to 0 when
	use_stripes_everywhere is set to 1.
	0: off  1: on

    utf8_instead_of_locale_for_broken_mail	(default: 0)
	Use UTF-8 encoding for broken mails instead of current
	locale.
	0: off  1: on

    warn_dnd			(default: 1)
	Display a confirmation dialog on drag'n'drop of folders.
	0: off  1: on

    zero_replacement_char       (default: 0)
	Character to show in Folder List counter columns when a 
	folder doesn't contain messages.

9. Tools
--------- 
  You will find all of these tools in the 'tools' directory:

  acroread2claws-mail.pl 
	send PDFs from Adobe Reader 7
  calypso_convert.pl 
	import mbox files exported by calypso
  claws-mail-compose-insert-files.pl
	insert files into a new Compose window
  convert_mbox.pl
  	convert mbox format to MH format
  csv2addressbook.pl
	import Becky, Thunderbird, Kmail, Gmail and Fox Mail
	address books
  eud2gc.py
	convert a Eudora (v.3?) addressbook to vCard 
	(GnomeCard) format
  filter_conv.pl
	convert sylpheed main's filter rules, (< 0.9.99),
	into Claws' filtering format
  filter_conv_new.pl
	convert sylpheed main's filter rules, (>= 0.9.99),
	into Claws' filtering format
  fix-date.sh
	Replace/Add a message's Date field
  freshmeat_search.pl
  	Actions script to lookup the selected text on
	Freshmeat www.freshmeat.net using the configured
	browser
  gif2xface.pl
	convert a gif file to an xface
  google_msgid.pl
  	Actions script to lookup selected message-id on 
	google using mozilla.
  google_search.pl
  	Actions script to lookup up the selected text on
	google using the configured browser
  kdeservicemenu/*
  	Service Menus for Konqueror to allow sending
	files to Claws Mail
  kmail2claws-mail.pl
	convert a Kmail addressbook to a Claws Mail
	addressbook
  kmail2claws-mail_v2.pl
	new version of the address book conversion script
	for newer versions of Kmail/Kaddressbook
  kmail-mailbox2claws-mail.pl
  	convert a Kmail mailbox into a Claws mail mailbox
  mairix.sh
	a wrapper to mairix, to enable global searches in mail
	folders
  mew2claws-mail.pl
	import a Mew address book
  multiwebsearch.pl
  	search any searchable website for the selected text
  nautilus2claws-mail.sh
  	enables sending files from the Nautilus file manager
	to Claws Mail
  OOo2claws-mail.pl
	enable OpenOffice to send documents through
	Claws Mail
  outlook2claws-mail.pl
	convert an Outlook contacts list to a Claws Mail
	addressbook
  popfile-link.sh
	open messages in POPFile control center to edit their status
  sylprint.pl
	process a Claws Mail message and print it using enscript
	if available or lpr if not
  tb2claws-mail
	convert an addressbook exported from The Bat! into 
	a Claws Mail addressbook
  tbird2claws.py
  	integrate a Thunderbird folder tree into Claws Mail
  textviewer.pl
	Display various attachments as text
  textviewer.sh
  	attempt to view an attachment as plain text
  thunderbird-filters-convertor.pl
	convert Thunderbird filtering rules
  update-po 
	translators' tool that eases the creation of 
	*.po files
  uudec
	decode UUencoded mails, for use with Actions
  uuooffice
	Decode uuencoded attachments and open them with OpenOffice
  vcard2xml.py
	import an Evolution vCard


10. How to contribute
---------------------

You are encourged to send patches via the Claws Mail bugzilla at
http://www.thewildbeast.co.uk/claws-mail/bugzilla/index.cgi
But please first read the patch guidelines here:
http://www.claws-mail.org/devel.php

If that's too troublesome, either contact Paul Mangan
<paul@claws-mail.org> or consider posting to the
Claws Mail-users mailing list.
http://www.claws-mail.org/MLs.php

Bugs can be reported with Claws' bugzilla at:
http://www.thewildbeast.co.uk/claws-mail/bugzilla/index.cgi

Of course, you can also post to the Claws Mail-users mailing list.

Also, we really try to incorporate good contributions, but sometimes we
don't have enough time. If the contribution is really big, or requires
a long time to stabilise, send a mail to Paul Mangan
<paul@claws-mail.org>. We can probably arrange access to the
Claws Mail Git repository.



11. How to request features
---------------------------

Ask around in Claws Mail-users ML. Note that some developers may
have already thought about your feature and may, perhaps, be implementing
it, or the feature was already discussed and rejected for whatever reason.
You might want to go ahead and hack a patch for it. (That would be very
cool!) Another possibility is to add a request to our bugzilla, (severity:
'enhancement'), at
http://www.thewildbeast.co.uk/claws-mail/bugzilla/index.cgi


12. Installing Claws Mail from Git
--------------------------------------

  a. Downloading
  --------------

  To download the latest Git, cd to the directory where you wish to download
  to and type the following information:

  git clone http://git.claws-mail.org/readonly/claws.git 

  Later, when you want to update your local repository, you'll just have to
  go back to the 'claws' directory, and type:

  git pull --all

  b. Installing
  -------------

  To compile and install use the following commands:

  ./autogen.sh		[add configure options as required]
  make
  make install		[as root]

  You will need a full set of development tools installed to be able to run
  autogen.sh. See also ac/README.



13. Release History
-------------------

GTK 2 Version
-------------
2013-06-08	3.9.2
2013-05-06	3.9.1
2012-11-14	3.9.0
2012-06-27	3.8.1
2011-12-16	3.8.0
2011-08-27	3.7.10
2011-04-09	3.7.9
2010-12-04	3.7.8
2010-11-19	3.7.7
2010-05-01	3.7.6
2010-01-31	3.7.5
2010-01-08	3.7.4
2009-10-09	3.7.3
2009-07-03	3.7.2
2009-03-06	3.7.1
2008-12-19	3.7.0
2008-10-10	3.6.1
2008-10-03	3.6.0
2008-06-27	3.5.0
2008-04-18	3.4.0
2008-02-23	3.3.1
2008-02-08	3.3.0
2007-12-17	3.2.0
2007-11-19	3.1.0
2007-10-02	3.0.2
2007-09-17	3.0.1
2007-09-03	3.0.0
2007-07-02	2.10.0
2007-05-08	2.9.2
2007-04-19	2.9.1
2007-04-16	2.9.0
2007-03-06	2.8.1
2007-02-26	2.8.0
2007-01-26	2.7.2
2007-01-15	2.7.1
2007-01-08	2.7.0
2006-12-04	2.6.1 [first release as Claws Mail]
2006-11-06	2.6.0
2006-10-19	2.5.6
2006-10-12	2.5.5
2006-10-11	2.5.4
2006-10-04	2.5.3
2006-09-26	2.5.2
2006-09-26	2.5.1
2006-09-25	2.5.0
2006-07-31	2.4.0
2006-06-20	2.3.1
2006-06-12	2.3.0
2006-06-08	2.2.3
2006-06-06	2.2.2
2006-06-05	2.2.1
2006-05-08	2.2.0
2006-04-17	2.1.1
2006-04-05	2.1.0
2006-01-30	2.0.0
2005-11-08	1.9.100
2005-10-31	1.9.99
2005-10-03	1.9.15
2005-09-05	1.9.14
2005-07-22	1.9.13
2005-06-27	1.9.12
2005-05-19	1.9.11
2005-05-09	1.9.9
2005-03-18	1.9.6

GTK 1 Version
-------------
2005-06-27	1.0.5
2005-05-09	1.0.4a
2005-03-24	1.0.4
2005-03-10	1.0.3
2005-02-08	1.0.1
2005-01-17	1.0.0
2004-12-06	0.9.13
2004-09-27	0.9.12b
2004-08-23	0.9.12a
2004-06-28	0.9.12
2004-05-31	0.9.11claws
2004-03-08	0.9.10claws
2004-02-06	0.9.9claws
2003-12-19	0.9.8claws
2003-11-26	0.9.7claws
2003-10-02	0.9.6claws
2003-09-10	0.9.5claws
2003-08-04	0.9.4claws
2003-07-12	0.9.3claws
2003-05-24	0.9.0claws
2003-03-12	0.8.11claws
2003-02-12	0.8.10claws
2003-01-24	0.8.9claws
2002-12-26	0.8.8claws
2002-12-23	0.8.7claws
2002-11-25	0.8.6claws
2002-10-07	0.8.5claws
2002-09-22	0.8.3claws
2002-08-28	0.8.2claws
2002-07-30	0.8.1claws
2002-07-23	0.8.0claws
2002-06-15	0.7.8claws
2002-05-18	0.7.6claws
2002-04-28	0.7.5claws
2002-03-11	0.7.4claws
2002-02-19	0.7.2claws
2002-02-14	0.7.1claws
2002-01-14	0.7.0claws
2001-12-16	0.6.6claws
2001-10-16	0.6.5claws8
2001-09-30	0.6.2claws
2001-08-14 	0.6.1claws
2001-07-13	0.5.1claws
2001-07-01	0.5.0claws3
2001-06-16	0.4.99claws
2001-05-29	0.4.99claws3
2001-05-11	0.4.67claws1



14. Useful links
----------------
Homepage
    http://www.claws-mail.org/
User Contributed FAQ
    http://www.claws-mail.org/faq/
Project page
    http://sourceforge.net/projects/sylpheed-claws/
Downloads
    http://www.claws-mail.org/downloads.php
Extra Plugins
    http://www.claws-mail.org/plugins.php
Icon Themes
    http://www.claws-mail.org/themes.php
Mailing Lists
    http://www.claws-mail.org/MLs.php
Users Mailing List archive
    http://lists.claws-mail.org/pipermail/users/index.html
Commits Announcement List archive
    http://lists.claws-mail.org/pipermail/commits/index.html
Bug/Patch/Feature Request Tracker
    http://www.thewildbeast.co.uk/claws-mail/bugzilla/index.cgi
Internationalisation Status
    http://www.claws-mail.org/i18n.php
Donations
    http://www.claws-mail.org/sponsors.php
Planet Claws Mail
    http://planet.claws-mail.org/
Claws Mail for Windows homepage
    http://www.claws-mail.org/win32/

